Groovy 1.7.10

## org.codehaus.groovy.control.io
[Java] Class InputStreamReaderSource

    java.lang.Object
      org.codehaus.groovy.control.io.AbstractReaderSource
          org.codehaus.groovy.control.io.InputStreamReaderSource

    public class InputStreamReaderSource
    extends AbstractReaderSource

A ReaderSource for source strings.

Authors:
  Chris Poirier

Version:
  \$Id: InputStreamReaderSource.java 6778 2007-07-02 10:40:33Z glaforge \$

Field Summary

Fields inherited from class AbstractReaderSource
configuration

Constructor Summary
`InputStreamReaderSource(InputStream stream, CompilerConfiguration configuration)` Creates the ReaderSource from a File descriptor.

Method Summary
`boolean` | `canReopenSource()` Returns true if the source can be restarted (ie. if getReader() will return non-null on subsequent calls.
`Reader` | `getReader()` Returns a new Reader on the underlying source object.

Methods inherited from class AbstractReaderSource
canReopenSource, cleanup, getLine

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### InputStreamReaderSource

    public InputStreamReaderSource(InputStream stream, CompilerConfiguration configuration)

  Creates the ReaderSource from a File descriptor.
  Parameters:
    `stream` - stream containing source
    `configuration` - configuration for compiling source

Method Detail

### canReopenSource

    public boolean canReopenSource()

  Returns true if the source can be restarted (ie. if getReader() will return non-null on subsequent calls.

### getReader

    public Reader getReader()

  Returns a new Reader on the underlying source object.

Copyright © 2003-2010 The Codehaus. All rights reserved.